Replace List Users
Add Users to Draft List
API to add users in the draft list by passing its version_id returned in Start Sync API response.
POST
/
v1
/
subscriber_list
/
{list_id}
/
version
/
{version_id}
/
subscriber
/
add
/
Add Users to Draft List
curl --request POST \
--url https://hub.suprsend.com/v1/subscriber_list/{list_id}/version/{version_id}/subscriber/add/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"distinct_ids": [
"user1"
]
}
'import requests
url = "https://hub.suprsend.com/v1/subscriber_list/{list_id}/version/{version_id}/subscriber/add/"
payload = { "distinct_ids": ["user1"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({distinct_ids: ['user1']})
};
fetch('https://hub.suprsend.com/v1/subscriber_list/{list_id}/version/{version_id}/subscriber/add/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"affected_count": 0
}{
"code": 404,
"error_code": "not_found",
"type": "NotFound",
"message": "version_id 01JR6PCW8H9K3H40XZV4 not found for list_id 123",
"detail": "version_id 01JR6PCW8H9K3H40XZV4 not found for list_id 123"
}Authorizations
Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.
Path Parameters
Unique string identifier of the list to which user needs to be updated
Unique string identifier of the draft version of the list to which user needs to be updated
Body
application/json
Array of subscriber_ids, uniquely identifying the subscribers to be added to the list.
Was this page helpful?
Previous
Remove Users from Draft ListAPI to remove users from the draft list by passing its `version_id` returned in [Start Sync](/reference/start-sync) API response.
Next
⌘I
Add Users to Draft List
